Cyberduck Mountain Duck CLI

#5687 closed enhancement (fixed)

Implement resource locking

Reported by: https://me.yahoo.com/gregjko#87241 Owned by: dkocher
Priority: low Milestone: 7.0
Component: webdav Version: 3.8.1
Severity: normal Keywords:
Cc: severy@… Architecture:
Platform:

Description

Though locking is one of the four core operations mentioned by the WebDAV RFC (the other three being properties, collections and namespace operations), Cyberduck doesn’t yet implement it.

https://tools.ietf.org/html/rfc2518#section-6

Change History (17)

comment:1 Changed on Feb 4, 2011 at 6:22:48 AM by dkocher

  • Summary changed from Implement resource locking for WebDAV to Implement resource locking

The issue here is to decide when to remove the lock. We don't know when will be the last edit (depending on the external editor application).

comment:2 Changed on Feb 4, 2011 at 6:24:20 AM by dkocher

  • Priority changed from normal to low

comment:3 Changed on May 30, 2011 at 9:29:57 PM by dkocher

Some basic work has started in r257 in Sardine.

comment:4 Changed on Jul 22, 2011 at 3:06:50 PM by dkocher

#5687 closed as duplicate.

comment:5 follow-up: Changed on Jul 25, 2011 at 2:56:30 PM by Joseph Piron

Hi, just wondering of which ticket this one is a duplicate ? Sorry for my duplicate anyway (#6104), this feature is really a must have for my team to use cyberduck and I'd be happy to help implement.

Last edited on Jul 26, 2011 at 8:13:43 AM by dkocher (previous) (diff)

comment:6 follow-up: Changed on Jul 25, 2011 at 3:00:36 PM by Joseph Piron

Regarding unlocking, I would say, timeout by default reissued if file is still in edition and a button to "try" an unlock arbitrarily)

comment:7 Changed on Jul 26, 2011 at 8:13:35 AM by dkocher

#6104 closed as duplicate.

comment:8 in reply to: ↑ 6 Changed on Jul 26, 2011 at 8:14:12 AM by dkocher

Replying to Joseph Piron:

Regarding unlocking, I would say, timeout by default reissued if file is still in edition and a button to "try" an unlock arbitrarily)

If implemented that would need to be transparent to the user.

comment:9 in reply to: ↑ 5 Changed on Jul 26, 2011 at 8:15:13 AM by dkocher

Replying to Joseph Piron:

Hi, just wondering of which ticket this one is a duplicate ? Sorry for my duplicate anyway (#6104), this feature is really a must have for my team to use cyberduck and I'd be happy to help implement.

No problem about a duplicate. The next step would be to overload all methods in the Sardine interface that need lock support to accept an additional lock parameter.

comment:10 Changed on Oct 23, 2013 at 3:41:29 PM by dkocher

  • Resolution set to wontfix
  • Status changed from new to closed

comment:11 Changed on Oct 26, 2015 at 4:38:30 PM by dkocher

  • Milestone set to 5.0
  • Resolution wontfix deleted
  • Status changed from closed to reopened

comment:12 Changed on Oct 26, 2015 at 6:18:23 PM by severy

  • Cc severy@… added

Last week I sent the following question to support@…:

We are in the process of rolling out WebDAV support for developers using our CMS. As I explored the available options for WebDAV clients on both Windows and MacOS platforms, I stumbled across CyberDuck and your new Mountain Duck product. For collaborative development, however, the ability to lock files while you are editing them is critical, and virtually no WebDAV clients currently support locking that we've been able to find. We're especially looking for appropriate tools for our Mac users, since we haven't found any tools they can use to lock and unlock files on a WebDAV share while they are working on them. Are there any plans to support locking files on a WebDAV share in either your CyberDuck or Mountain Duck products?

Today, David Kocher replied with the following:

Thanks for your interest in Mountain Duck! We do not currently support resource locking as there were implementation issues in Cyberduck with potential dangling locks after editing a file. In Mountain Duck this could be implemented properly I suppose. Please reopen and comment ticket [1] to allow us track the issue.

So as requested I am now doing so. One simple option is to simply provide toolbar or menu functions to lock and unlock a file manually as a separate process from editing a file. While it is not as automated as automatically locking and unlocking a file while editing it, it at least exposes the functionality in a way that can be used.

Last edited on Oct 26, 2015 at 6:38:48 PM by dkocher (previous) (diff)

comment:14 Changed on May 18, 2016 at 3:29:26 PM by dkocher

  • Milestone 5.0 deleted

comment:15 Changed on Nov 29, 2018 at 4:16:15 PM by dkocher

  • Milestone set to 7.0

comment:16 Changed on Dec 1, 2018 at 1:27:00 PM by dkocher

More in r45623.

comment:17 Changed on Jan 13, 2019 at 8:56:50 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets.
swiss made software